summaryrefslogtreecommitdiffstats
path: root/git/git-tag-tar-changelog.sh
diff options
context:
space:
mode:
authorSven Gothel <[email protected]>2011-03-03 03:58:43 +0100
committerSven Gothel <[email protected]>2011-03-03 03:58:43 +0100
commit477140f53cf387f09b1336630ed45bebad2b5ff8 (patch)
tree841c7ec495d056716e5ade3c7aa87bd432f8b8c9 /git/git-tag-tar-changelog.sh
parentc11eff509a76da12e717b773988d454a00374c42 (diff)
add git script to tag, changelog and tar for release
Diffstat (limited to 'git/git-tag-tar-changelog.sh')
-rwxr-xr-xgit/git-tag-tar-changelog.sh31
1 files changed, 31 insertions, 0 deletions
diff --git a/git/git-tag-tar-changelog.sh b/git/git-tag-tar-changelog.sh
new file mode 100755
index 0000000..81a570d
--- /dev/null
+++ b/git/git-tag-tar-changelog.sh
@@ -0,0 +1,31 @@
+#! /bin/bash
+
+artifacts=$1
+shift
+
+if [ -z "$artifacts" ] ; then
+ echo Usage $0 artifacts file
+ exit 1
+fi
+
+branch=rc
+tag_old=v2.0-rc1
+tag=v2.0-rc2
+
+sdir=`dirname $0`
+thisdir=`pwd`
+
+. $sdir/funcs_git.sh
+
+for i in gluegen joal joal-demos jogl jogl-demos jocl jocl-demos ; do
+ sha=`grep $i.build.commit $artifacts | awk --field-separator "=" ' { print $2 } ' `
+ echo $i sha $sha
+ cd $i
+ git checkout $branch
+ git pull jogamp $branch
+ git tag -u 0x8ED60127 -m "Signed Candidate $i $tag $sha" $tag $sha
+ git-new-milestone $i $tag_old $tag
+ cd $thisdir
+ echo done $i
+ echo
+done